module Blue
  module Resque
    module Capistrano
      module Integration

        def self.load(capistrano_config)
          capistrano_config.load do

            namespace :blue do
              namespace :resque do
                desc "Trigger Resque restarts"
                task :restart do
                  # run %(find #{File.join(Blue.shared_path, 'pids')} -name resque_worker_*.pid -exec bash -c 'kill -QUIT $(cat $1) ; rm $1' _ {} \\\;)
                  sudo "monit -g resque restart"
                end
              end
            end

            after 'deploy:create_symlink', 'blue:resque:restart'
          end
        end
      end
    end
  end
end

if Capistrano::Configuration.instance
  Blue::Resque::Capistrano::Integration.load(Capistrano::Configuration.instance)
end

